You are not logged in.

#1 2019-08-25 00:38:19

schmoken
Member
Registered: 2015-03-26
Posts: 3

[SOLVED] package dependencies with -S different than -Si

Fresh install today on a laptop:

[hero@PC] sudo pacman -Syyu
:: Synchronizing package databases...
 core                               132.8 KiB  1897K/s 00:00 [################################] 100%
 extra                             1710.4 KiB  11.9M/s 00:00 [################################] 100%
 community                            4.9 MiB  17.2M/s 00:00 [################################] 100%
:: Starting full system upgrade...
 there is nothing to do


[hero@PC] sudo pacman -Si notepadqq
Repository      : community
Name            : notepadqq
Version         : 1.4.8-2
Description     : Notepad++-like text editor for Linux
Architecture    : x86_64
URL             : https://notepadqq.altervista.org/
Licenses        : GPL3
Groups          : None
Provides        : None
Depends On      : desktop-file-utils  hicolor-icon-theme  qt5-svg  qt5-webkit
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 2.73 MiB
Installed Size  : 10.34 MiB
Packager        : Balló György <ballogyor+arch@gmail.com>
Build Date      : Wed 26 Dec 2018 06:13:16 PM CST
Validated By    : MD5 Sum  SHA-256 Sum  Signature


[hero@PC] sudo pacman -S notepadqq
resolving dependencies...
looking for conflicting packages...

Packages (28) brotli-1.0.7-1  cdparanoia-10.2-7  double-conversion-3.1.5-1  graphene-1.8.6-1
              gst-plugins-base-1.16.0-3  gst-plugins-base-libs-1.16.0-3  gstreamer-1.16.0-2
              hyphen-2.8.8-2  libvisual-0.4.0-7  libxkbcommon-x11-0.8.4-1  libxslt-1.1.33-1
              orc-0.4.29-1  qt5-base-5.13.0-7  qt5-declarative-5.13.0-1  qt5-location-5.13.0-1
              qt5-sensors-5.13.0-1  qt5-svg-5.13.0-1  qt5-webchannel-5.13.0-1
              qt5-webkit-5.212.0alpha3-3  tslib-1.20-1  woff2-1.0.2-1  xcb-util-image-0.4.0-2
              xcb-util-keysyms-0.4.0-2  xcb-util-renderutil-0.3.9-2  xcb-util-wm-0.4.1-2
              xdg-utils-1.1.3-3  xorg-xset-1.2.4-1  notepadqq-1.4.8-2

Total Download Size:    35.88 MiB
Total Installed Size:  199.61 MiB

:: Proceed with installation? [Y/n] n

[hero@PC]

Last edited by schmoken (2019-08-25 00:53:25)

Offline

#2 2019-08-25 00:42:12

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,052
Website

Re: [SOLVED] package dependencies with -S different than -Si

Dependencies can have dependencies of their own.

Also, don't use '-Syyu', one 'y' is sufficient.

Mod note: moving to NC.


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#3 2019-08-25 00:53:05

schmoken
Member
Registered: 2015-03-26
Posts: 3

Re: [SOLVED] package dependencies with -S different than -Si

It's been one of those days....

Offline

Board footer

Powered by FluxBB